GDCM: gdcm::DictConverter Class Reference

GDCM 3.2.8

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
gdcm::DictConverter Class Reference

Class to convert a .dic file into something else: More...

`#include <gdcmDictConverter.h>`

## Public Types
enum | OutputTypes { DICT_DEFAULT = 0 , DICT_DEBUG , DICT_XML }

## Public Member Functions
| DictConverter ()
| ~DictConverter ()
void | Convert ()
const std::string & | GetDictName () const
const std::string & | GetInputFilename () const
const std::string & | GetOutputFilename () const
int | GetOutputType () const
void | SetDictName (const char *name)
void | SetInputFileName (const char *filename)
void | SetOutputFileName (const char *filename)
void | SetOutputType (int type)

## Static Public Member Functions
static bool | Readuint16 (const char *raw, uint16_t &ov)
static bool | ReadVM (const char *raw, VM::VMType &type)
static bool | ReadVR (const char *raw, VR::VRType &type)

## Protected Member Functions
void | AddGroupLength ()
bool | ConvertToCXX (const char *raw, std::string &cxx)
bool | ConvertToXML (const char *raw, std::string &cxx)
void | WriteFooter ()
void | WriteHeader ()

## Detailed Description

Class to convert a .dic file into something else:

- CXX code : embed dict into shared lib (DICT_DEFAULT)
- Debug mode (DICT_DEBUG)
- XML dict (DICT_XML)
  Note

## Member Enumeration Documentation

## ◆ OutputTypes

enum gdcm::DictConverter::OutputTypes

Enumerator
DICT_DEFAULT |
DICT_DEBUG |
DICT_XML |

## Constructor & Destructor Documentation

## ◆ DictConverter()

gdcm::DictConverter::DictConverter | ( |  | ) |

## ◆ ~DictConverter()

gdcm::DictConverter::~DictConverter | ( |  | ) |

## Member Function Documentation

## ◆ AddGroupLength()

void gdcm::DictConverter::AddGroupLength | ( |  | ) |
| protected

## ◆ Convert()

void gdcm::DictConverter::Convert | ( |  | ) |

## ◆ ConvertToCXX()

bool gdcm::DictConverter::ConvertToCXX | ( | const char * | raw,
|  | std::string & | cxx )
| protected

## ◆ ConvertToXML()

bool gdcm::DictConverter::ConvertToXML | ( | const char * | raw,
|  | std::string & | cxx )
| protected

## ◆ GetDictName()

const std::string & gdcm::DictConverter::GetDictName | ( |  | ) | const

## ◆ GetInputFilename()

const std::string & gdcm::DictConverter::GetInputFilename | ( |  | ) | const

## ◆ GetOutputFilename()

const std::string & gdcm::DictConverter::GetOutputFilename | ( |  | ) | const

## ◆ GetOutputType()

int gdcm::DictConverter::GetOutputType | ( |  | ) | const
| inline

## ◆ Readuint16()

bool gdcm::DictConverter::Readuint16 | ( | const char * | raw,
|  | uint16_t & | ov )
| static

## ◆ ReadVM()

bool gdcm::DictConverter::ReadVM | ( | const char * | raw,
|  | VM::VMType & | type )
| static

## ◆ ReadVR()

bool gdcm::DictConverter::ReadVR | ( | const char * | raw,
|  | VR::VRType & | type )
| static

## ◆ SetDictName()

void gdcm::DictConverter::SetDictName | ( | const char * | name | ) |

## ◆ SetInputFileName()

void gdcm::DictConverter::SetInputFileName | ( | const char * | filename | ) |

## ◆ SetOutputFileName()

void gdcm::DictConverter::SetOutputFileName | ( | const char * | filename | ) |

## ◆ SetOutputType()

void gdcm::DictConverter::SetOutputType | ( | int | type | ) |
| inline

## ◆ WriteFooter()

void gdcm::DictConverter::WriteFooter | ( |  | ) |
| protected

## ◆ WriteHeader()

void gdcm::DictConverter::WriteHeader | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- gdcmDictConverter.h